extends CharacterBody2D

const Item = preload("res://Item/item.tscn")
# 耐久力
const HP = 1
# スプライト
@onready var sprite = $AnimatedSprite2D
# 耐久力
var hp			: float = HP

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


func damage(_power : float):
	hp -= _power
	if hp <= 0:
		sprite.play("Break")
		collision_layer = 0x00
		# アイテムを出す
		var temp_node = Item.instantiate()
		add_child(temp_node)
		temp_node.global_position = global_position

func _on_animated_sprite_2d_animation_finished():
	queue_free()
